package com.board.spring_security.mapper;

import java.util.List;

import org.apache.ibatis.annotations.Mapper;

import com.board.spring_security.dto.UserAuth;
import com.board.spring_security.dto.Users;

@Mapper
public interface UserMapper {

    // 회원 등록
    public int insert(Users user) throws Exception;

    // 회원 조회
    public Users select(String userId) throws Exception;

    // 사용자 인증(로그인) - id
    public Users login(String username);

    // 회원 권한 등록
    public int insertAuth(UserAuth userauth) throws Exception;

    // 회원 수정
    public int update(Users user) throws Exception;
    
    public List<Users> getStatusList() throws Exception;
}
