package com.board.spring_security.service;

import java.util.List;

import com.board.spring_security.dto.Files;

import jakarta.servlet.http.HttpServletResponse;

public interface FileService {

    // 파일 목록
    public List<Files> list() throws Exception;
    // 파일 조회
    public Files select(long boardNo) throws Exception;
    // 파일 등록  
    public int insert(Files board) throws Exception;
    // 파일 수정
    public int update(Files board) throws Exception;
    // 파일 삭제
    public int delete(long boardNo) throws Exception;
    // 파일 목록
    public List<Files> listByParent(Files file) throws Exception;
    // 파일 삭제
    public int deleteByParent(Files file) throws Exception;
    // 파일 다운로드
    public int download(long fileNo, HttpServletResponse http) throws Exception;
}
