package com.board.spring_security.service;

import java.util.List;

import com.board.spring_security.dto.Users;

import jakarta.servlet.http.HttpServletRequest;

public interface UserService {
    // 회원 등록
    public int insert(Users user) throws Exception;

    // 회원 조회
    public Users select(String userId) throws Exception;

    // 로그인
    public void login(Users user, HttpServletRequest request) throws Exception;

    // 회원 수정
    public int update(Users user) throws Exception;

    public List<Users> getStatusList() throws Exception;
}
